# Class CIM_AssociatedProcessorMemory
extends CIM_AssociatedMemory

Associates the Processor and system Memory, or a Processor's Cache.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AssociatedMemory
|
+--CIM_AssociatedProcessorMemory

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | Associates the Processor and system Memory, or a Processor's Cache.
UMLPackagePath | string | CIM::Device::Memory
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BusSpeed | uint32 |
Description | string | Speed of the bus, in MHertz, between the Processor and Memory.
PUnit | string | hertz * 10^6
Units | string | MegaHertz

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Dependent | CIM_AssociatedProcessorMemory | CIM_Processor

### Propagated Association References

Name | Class Origin | Reference Class
--- | --- | ---

## Class Methods